Bug 492185 - qt-4.5.0 induces internal compiler error: in output_460, at config/rs6000/rs6000.md:11495
qt-4.5.0 induces internal compiler error: in output_460, at config/rs6000/rs6...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
10
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 15:24 EDT by Rex Dieter
Modified: 2009-12-18 04:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-03-25 15:24:28 EDT
qt-4.5.0 F-10 builds are falling over on ppc,

g++ -c ... io/qabstractfileengine.cpp
tools/qstring.cpp: In function 'int qFindString(const QChar*, int, int, const QChar*, int, Qt::CaseSensitivity)':
tools/qstring.cpp:2330: internal compiler error: in output_460, at config/rs6000/rs6000.md:11495

http://koji.fedoraproject.org/koji/taskinfo?taskID=1258538
Comment 1 Rex Dieter 2009-03-27 09:38:58 EDT
possibly related to bug #485232 , where we saw similar issue for rawhide/f11 and gcc-4.4.
Comment 2 Jakub Jelinek 2009-03-27 10:53:41 EDT
Yes, it is the same thing (and bje has even backported my 4.4 fix to 4.3 branch a few days ago).  Whenever new F10 gcc is built, it will be fixed there, but there are still no firm plans for that.

As a workaround, just kill the useless fn prototypes after functions have been defined.
Comment 3 Kevin Kofler 2009-03-27 11:21:34 EDT
Why isn't GCC updated more often with fixes like that? IMHO having 1 or 2 gcc bugfix updates a month would be great.
Comment 4 Rex Dieter 2009-03-27 11:48:54 EDT
working around this appears to be more difficult than expected.  Even an updated gcc for buildsys-only (intially) would be appreciated.
Comment 5 Rex Dieter 2009-03-27 11:53:40 EDT
There's a bit of an urgency here, we *had* planned on including qt-4.5 along with kde-4.2.2 update coming within the coming week.
Comment 6 Kevin Kofler 2009-03-27 12:41:07 EDT
And we'd like this fixed in F9 too, as our plan was to push Qt 4.5 there too.
Comment 7 Rex Dieter 2009-03-27 12:46:59 EDT
fyi, qt-4.5.0 built fine on F-9:
http://koji.fedoraproject.org/koji/buildinfo?buildID=95389
Comment 8 Kevin Kofler 2009-03-27 12:53:29 EDT
Now that's interesting, as F9 also has GCC 4.3.
Comment 9 Jakub Jelinek 2009-03-27 13:02:26 EDT
The major problem with gcc-4.3.* updates is that if I were to create an errata, it should have bugs fixed, but there are plenty of bugs I've so far on the trunk (4.4+) only and not backported yet.  Just see the 4.3 Serious regressions query on http://gcc.gnu.org/, looking for bugs assigned to me and which are not 4.4 regressions, there are ATM 27 of them, most of them need to be backported and bootstrapped/regtested.  I've been busy with GCC 4.4 work during last 9 months, so for backporting isn't enough time left.
Comment 10 Rex Dieter 2009-03-27 15:55:02 EDT
ok, crisis averted, by patching out useless prototypes as suggested, thanks.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1261323
Comment 11 Bug Zapper 2009-11-18 06:36:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 04:06:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.